/**
 * Extracts an unsigned bit-subfield from an uint32 number.
 * The most right bit 0 is assumed to be the LSB.
 * @param from the most significant bit (MSB) of the extracted field.
 * @param to the least significant bit (LSB) of the extracted field.
 * @param uint32 an integer containing extractable bitfields.
 */
export declare function bits(from: number, to: number, uint32: number): number;
/**
 * Checks a flag in an integer.
 * The most right bit 0 is assumed to be the LSB.
 * @param at position of the flag.
 * @param uint32 an integer containing the flag.
 */
export declare function flag(at: number, uint32: number): number;
/**
 * Extracts a signed bit-subfield from an uint32 number.
 * The most right bit 0 is assumed to be the LSB.
 * @param from the position of the "signed"-bit, i.e. the most significant bit (MSB) of the extracted field.
 * @param to the least significant bit (LSB) of the extracted field.
 * @param uint32 an integer containing extractable bitfields.
 */
export declare function bitsSigned(from: number, to: number, uint32: number): number;
